JspTaglibSubTask (XDoclet 1.2.3 API)
Keywords: xdoclet.modules.web.JspTaglibSubTask class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xdoclet.modules.web
Class JspTaglibSubTask

    java.lang.Object
      xdoclet.DocletSupport
          xdoclet.SubTask
              xdoclet.TemplateSubTask
                  xdoclet.XmlSubTask
                      xdoclet.modules.web.JspTaglibSubTask

All Implemented Interfaces:
  Serializable

public class JspTaglibSubTask
extends XmlSubTask

Generates taglib.tld deployment descriptor for JSP taglibs.

Version:
  $Revision: 1.15 $
Author:
  Ara Abrahamian (ara_e@email.com)
See Also:
  Serialized Form
ant.element
  display-name="JSP Taglib" name="jsptaglib" parent="xdoclet.modules.web.WebDocletTask"
created
  July 12, 2001

Nested Class Summary
`static class` | `JspTaglibSubTask.JspVersionTypes` Supported JSP spec versions.

Nested classes inherited from class xdoclet.TemplateSubTask
`TemplateSubTask.ExtentTypes, TemplateSubTask.OfType`

Field Summary
`protected String` | `description`
`protected String` | `displayname`
`protected String` | `filename`
`protected String` | `jspversion`
`protected String` | `largeicon`
`protected String` | `shortname`
`protected String` | `smallicon`
`protected String` | `taglibversion`
`protected String` | `uri`

Fields inherited from class xdoclet.DocletSupport
`currentClassTag, currentFieldTag, currentMethodTag`

Constructor Summary
`JspTaglibSubTask()` Describe what the JspTaglibSubTask constructor does

Method Summary
`protected void` | `engineStarted()` Describe what the method does
`void` | `execute()` Describe what the method does
`String` | `getDescription()` Gets the Description attribute of the JspTaglibSubTask object
`String` | `getDisplayname()` Gets the Displayname attribute of the JspTaglibSubTask object
`String` | `getFilename()` Gets the Filename attribute of the JspTaglibSubTask object
`String` | `getJspversion()` Gets the Jspversion attribute of the JspTaglibSubTask object
`String` | `getLargeicon()` Gets the Largeicon attribute of the JspTaglibSubTask object
`String` | `getShortname()` Gets the Shortname attribute of the JspTaglibSubTask object
`String` | `getSmallicon()` Gets the Smallicon attribute of the JspTaglibSubTask object
`String` | `getTaglibversion()` Gets the Taglibversion attribute of the JspTaglibSubTask object
`String` | `getUri()` Gets the Uri attribute of the JspTaglibSubTask object
`void` | `setDescription(String new_description)` A simple string describing the use of this tag library, Should be user discernable.
`void` | `setDisplayname(String new_display_name)` A short name that is intended to be displayed by tools.
`void` | `setFilename(String new_filename)` Specifies the filename of the generated tag library descriptor.
`void` | `setJspversion(JspTaglibSubTask.JspVersionTypes jspversion)` The JSP spec version to which the tag library conforms.
`void` | `setLargeicon(String new_icon)` Optional large-icon that can be used by tools.
`void` | `setShortname(String shortname)` A simple default short name that could be used by a JSP authoring tool to create names with a mnemonic value.
`void` | `setSmallicon(String new_icon)` Optional small-icon that can be used by tools.
`void` | `setTaglibversion(String taglibversion)` The tag library implementation version.
`void` | `setUri(String uri)` A URI uniquely identifying this tag library.
`void` | `validateOptions()` Called to validate configuration parameters.

Methods inherited from class xdoclet.XmlSubTask
`copyAttributesFrom, engineFinished, getDtdURL, getPublicId, getSchema, getSchemaURL, getSystemId, getUseIds, getXmlencoding, isValidateXML, setDtdURL, setPublicId, setSchema, setSchemaURL, setSystemId, setUseIds, setValidateXML, setXmlencoding, startProcess`

Methods inherited from class xdoclet.TemplateSubTask
`addOfType, addOfType, addPackageSubstitution, generateForClass, getAcceptAbstractClasses, getAcceptInterfaces, getDestinationFile, getEngine, getExtent, getGeneratedFileName, getGenerationManager, getHavingClassTag, getOfType, getPackageSubstitutions, getSubTaskClassName, getTemplateURL, init, isPackageSubstitutionInheritanceSupported, isPrefixWithPackageStructure, javaFile, matchesGenerationRules, processInnerClasses, setAcceptAbstractClasses, setAcceptInterfaces, setDestinationFile, setEngine, setExtent, setExtentValue, setGenerationManager, setHavingClassTag, setOfType, setPackageSubstitutionInheritanceSupported, setPackageSubstitutions, setPrefixWithPackageStructure, setSubTaskClassName, setTemplateFile, setTemplateURL, startEngine, startProcessForAll, startProcessPerClass`

Methods inherited from class xdoclet.SubTask
`addConfigParam, getConfigParams, getConfigParamsAsMap, getContext, getDestDir, getMergeDir, getSubTaskName, getXJavaDoc, setDestDir, setMergeDir, setSubTaskName`

Methods inherited from class xdoclet.DocletSupport
`getCurrentClass, getCurrentClassTag, getCurrentConstructor, getCurrentField, getCurrentFieldTag, getCurrentMethod, getCurrentMethodTag, getCurrentPackage, getCurrentTag, isDocletGenerated, popCurrentClass, pushCurrentClass, setCurrentClass, setCurrentClassTag, setCurrentConstructor, setCurrentField, setCurrentFieldTag, setCurrentMethod, setCurrentMethodTag, setCurrentPackage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### taglibversion

    protected String taglibversion

### jspversion

    protected String jspversion

### shortname

    protected String shortname

### uri

    protected String uri

### displayname

    protected String displayname

### smallicon

    protected String smallicon

### largeicon

    protected String largeicon

### description

    protected String description

### filename

    protected String filename

Constructor Detail

### JspTaglibSubTask

    public JspTaglibSubTask()

  Describe what the JspTaglibSubTask constructor does

Method Detail

### getJspversion

    public String getJspversion()

  Gets the Jspversion attribute of the JspTaglibSubTask object

  Returns:
    The Jspversion value

### getTaglibversion

    public String getTaglibversion()

  Gets the Taglibversion attribute of the JspTaglibSubTask object

  Returns:
    The Taglibversion value

### getShortname

    public String getShortname()

  Gets the Shortname attribute of the JspTaglibSubTask object

  Returns:
    The Shortname value

### getUri

    public String getUri()

  Gets the Uri attribute of the JspTaglibSubTask object

  Returns:
    The Uri value

### getDisplayname

    public String getDisplayname()

  Gets the Displayname attribute of the JspTaglibSubTask object

  Returns:
    The Displayname value

### getSmallicon

    public String getSmallicon()

  Gets the Smallicon attribute of the JspTaglibSubTask object

  Returns:
    The Smallicon value

### getLargeicon

    public String getLargeicon()

  Gets the Largeicon attribute of the JspTaglibSubTask object

  Returns:
    The Largeicon value

### getDescription

    public String getDescription()

  Gets the Description attribute of the JspTaglibSubTask object

  Returns:
    The Description value

### getFilename

    public String getFilename()

  Gets the Filename attribute of the JspTaglibSubTask object

  Returns:
    The Filename value

### setJspversion

    public void setJspversion(JspTaglibSubTask.JspVersionTypes jspversion)

  The JSP spec version to which the tag library conforms.

  Parameters:
    `jspversion` - The new Jspversion value

### setTaglibversion

    public void setTaglibversion(String taglibversion)

  The tag library implementation version.

  Parameters:
    `taglibversion` - The new Taglibversion value

### setShortname

    public void setShortname(String shortname)

  A simple default short name that could be used by a JSP authoring tool to create names with a mnemonic value. For example, it may be used as the prefered prefix value in taglib directives.

  Parameters:
    `shortname` - The new Shortname value

### setUri

    public void setUri(String uri)

  A URI uniquely identifying this tag library.

  Parameters:
    `uri` - The new Uri value

### setDisplayname

    public void setDisplayname(String new_display_name)

  A short name that is intended to be displayed by tools.

  Parameters:
    `new_display_name` - The new Displayname value

### setSmallicon

    public void setSmallicon(String new_icon)

  Optional small-icon that can be used by tools.

  Parameters:
    `new_icon` - The new Smallicon value

### setLargeicon

    public void setLargeicon(String new_icon)

  Optional large-icon that can be used by tools.

  Parameters:
    `new_icon` - The new Largeicon value

### setDescription

    public void setDescription(String new_description)

  A simple string describing the use of this tag library, Should be user discernable.

  Parameters:
    `new_description` - The new Description value

### setFilename

    public void setFilename(String new_filename)

  Specifies the filename of the generated tag library descriptor.

  Parameters:
    `new_filename` - The new Filename value

### validateOptions

    public void validateOptions()
                         throws XDocletException

  Called to validate configuration parameters.

  Overrides:
    `validateOptions` in class `TemplateSubTask`
  Throws:
    `XDocletException`

### execute

    public void execute()
                 throws XDocletException

  Describe what the method does

  Overrides:
    `execute` in class `TemplateSubTask`
  Throws:
    `XDocletException`

### engineStarted

    protected void engineStarted()
                          throws XDocletException

  Describe what the method does

  Overrides:
    `engineStarted` in class `TemplateSubTask`
  Throws:
    `XDocletException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://xdoclet.sourceforge.net/
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD